{{ ansible_managed | comment }}

upstream app {
{% for host in groups.app | difference(groups.default) %}
      server {{ host }}:{{ deploy_app_port }};
{% endfor %}
}

{% for dns_record in app_dns_records %}
server {
      listen 443 ssl http2;
      server_name {{ dns_record }};
      ssl_certificate {{ letsencrypt.certs_path }}/{{ dns_record }}/fullchain.pem;
      ssl_certificate_key {{ letsencrypt.certs_path }}/{{ dns_record }}/privkey.pem;
      ssl_protocols TLSv1.3;
      proxy_intercept_errors on;

      location @docs {
        return 301 http://$host/swagger/index.html;
      }

      location ~* {
            error_page 404 = @docs;
            proxy_pass http://app;
      }
}
{% endfor %}